"
 COPYRIGHT (c) 2001 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libbasic' }"

"{ NameSpace: Smalltalk }"

ArithmeticError subclass:#DomainError
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Kernel-Exceptions-Errors'
!

!DomainError class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2001 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    Raised by certain mathematical functions when the function-args
    value is not within the allowed domain.
    For example, 
        arcSin receiver not in -1..1
    or
        log receiver <= 0
"
! !

!DomainError class methodsFor:'initialization'!

initialize
    NotifierString := 'domain error'.
! !

!DomainError methodsFor:'default values'!

defaultResumeValue
    "the default answer, if no one handles the query and the exception is resumed.
     Redefined to return Nan instead of nil."

    ^ originator class NaN

    "Created: / 20-06-2017 / 12:02:19 / cg"
! !

!DomainError class methodsFor:'documentation'!

version
    ^ '$Header$'
! !


DomainError initialize!
